Package oracle.jdbc

## Class OracleConnectionWrapper.CloseInvocationHandler

- java.lang.Object
- - oracle.jdbc.OracleConnectionWrapper.CloseInvocationHandler

All Implemented Interfaces:
  `java.lang.reflect.InvocationHandler`

Enclosing class:
  OracleConnectionWrapper

    protected class OracleConnectionWrapper.CloseInvocationHandler
    extends java.lang.Object
    implements java.lang.reflect.InvocationHandler

### Constructor Summary

Constructors
`protected` `CloseInvocationHandler​(OracleConnectionWrapper wrapper)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `invoke​(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CloseInvocationHandler

    protected CloseInvocationHandler​(OracleConnectionWrapper wrapper)

### Method Detail

#### invoke

    public java.lang.Object invoke​(java.lang.Object proxy,
                                   java.lang.reflect.Method method,
                                   java.lang.Object[] args)
                            throws java.lang.Throwable

Specified by:
  `invoke` in interface `java.lang.reflect.InvocationHandler`
Throws:
  `java.lang.Throwable`